Page MenuHomePhabricator

equuleus: buster: vyatta-ravpn: libfreeradius-client2 is missing in buster
Closed, ResolvedPublicENHANCEMENT

Description

in buster libfreeradius-client2 is replaced with libradcli4. this makes vyatta-ravpn unable to install.
libadcli4 is added as a dependency to the vyatta-ravpn, but the code is not updated to reflect this change.

the vyatta-ravpn code needs to be refactored to use the new library to function properly

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

runar triaged this task as Normal priority.May 28 2019, 8:00 PM
runar created this task.
Dmitry added a subscriber: Dmitry.Aug 9 2019, 3:11 PM
c-po added a comment.Dec 18 2019, 7:22 PM

What services are provided by vyatta-ravpn?

I guess it is already replaced by @Dmitry with accel-ppp? So could we drop the package entirely?

@c-po I can't find any usable from vyatta-ravpn now, seem we can archived it and drop from build process.

c-po claimed this task.Dec 19 2019, 4:38 AM
c-po set Is it a breaking change? to Perfectly compatible.
c-po closed this task as Resolved.Dec 20 2019, 2:01 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Sun, Feb 9, 2:16 PM